import { execSync } from "child_process";
import getExecutablePathsFromEnv from "../Tools/GetExecutablePathsFromEnv";
import getFilesFromPath from "../Tools/GetPathsFromEnv";
import tryGetCompilerVersion from "../Tools/TryGetCompilerVersion";
import Compiler from "./Compiler";

export default class GppCompiler extends Compiler{
    compilerPath: string;
    compilerVersion: string;
    constructor(){
        super()
        const compilerPaths = getExecutablePathsFromEnv("g++")
        if(compilerPaths.length==0)throw Error("cannot find g++ compiler")
        this.compilerPath=`"${compilerPaths[0]}"`
        this.compilerVersion = tryGetCompilerVersion(this.compilerPath,"--version")
    }
}