import { exec } from "child_process";
import { existsSync } from "fs";
import path from "path";
import { env } from "process";

const getPathsFromEnv = (name:string):[]|string[]=>{
    const envPath:string = env["PATH"] || env["Path"] as string
    if(envPath == undefined)return [];
    const paths = envPath.split(path.delimiter)
    const retPaths= [];
    for (const p of paths){
        const filePath = path.join(p,name)
        if(existsSync(filePath)){
            retPaths.push(path.join(p,name))
        }
    }
    return retPaths
}

export default getPathsFromEnv